Bug 170888 - sysutils/flashrom: update to 0.9.6.1
sysutils/flashrom: update to 0.9.6.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Guido Falsi
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 21:00 UTC by nukama
Modified: 2012-08-27 21:30 UTC (History)
0 users

See Also:


Attachments
file.diff (1.07 KB, patch)
2012-08-22 21:00 UTC, nukama
no flags Details | Diff
flashrom.diff (2.12 KB, patch)
2012-08-23 12:00 UTC, Guido Falsi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nukama 2012-08-22 21:00:17 UTC
Flashrom update to 0.9.6.1

Fix: Patch attached with submission follows:
Comment 1 nukama 2012-08-23 09:16:20 UTC
Thanks for kwm for pointing this out:

@@ -42,7 +42,7 @@ RUN_DEPENDS+=        dmidecode:${PORTSDIR}/sysu
 .endif

 .if defined(WITH_FTDI)
-USE_GNOME=        pkgconfig
+USE_PKGCONFIG=  build
 LIB_DEPENDS+=  ftdi.19:${PORTSDIR}/devel/libftdi
 .endif
Comment 2 Guido Falsi freebsd_committer 2012-08-23 09:36:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->madpilot

I'll take it.
Comment 3 Guido Falsi freebsd_committer 2012-08-23 12:00:39 UTC
Hi,

Thanks for your submission.

I have also made a few more changes:

- Converted to OPTIONSng
- Removed ABI version from LIB_DEPENDS

if you approve this changes I'll commit this.

Thanks.

-- 
Guido Falsi <madpilot@FreeBSD.org>
Comment 4 Guido Falsi freebsd_committer 2012-08-27 21:28:45 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 dfilter freebsd_committer 2012-08-27 21:28:45 UTC
Author: madpilot
Date: Mon Aug 27 20:28:35 2012
New Revision: 303246
URL: http://svn.freebsd.org/changeset/ports/303246

Log:
  - Update to 0.9.6.1
  - Fix pkgconf dependency
  - Convert to OPTIONSng
  - Remove ABI version from LIB_DEPENDS
  
  PR:		ports/170888
  Submitted by:	Hakisho Nukama <nukama@gmail.com> (maintainer, via email)
  Approved by:    crees, tabthorpe (mentors, implicit)

Modified:
  head/sysutils/flashrom/Makefile   (contents, props changed)
  head/sysutils/flashrom/distinfo   (contents, props changed)

Modified: head/sysutils/flashrom/Makefile
==============================================================================
--- head/sysutils/flashrom/Makefile	Mon Aug 27 20:08:18 2012	(r303245)
+++ head/sysutils/flashrom/Makefile	Mon Aug 27 20:28:35 2012	(r303246)
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	flashrom
-PORTVERSION=	0.9.5.2
+PORTVERSION=	0.9.6.1
 CATEGORIES=	sysutils
 MASTER_SITES=	http://download.flashrom.org/releases/
 
@@ -16,10 +16,13 @@ COMMENT=	Utility for reading, writing, v
 LICENSE=	GPLv2
 LICENSE_FILE=	${WRKSRC}/COPYING
 
-LIB_DEPENDS=	pci.3:${PORTSDIR}/devel/libpci
+LIB_DEPENDS=	pci:${PORTSDIR}/devel/libpci
 
-OPTIONS=	DMIDECODE	"Use dmidecode to gather DMI information"	on \
-		FTDI		"Enable external FT2232SPI flasher support"	off
+OPTIONS_DEFINE=	DMIDECODE DOCS FTDI
+OPTIONS_DEFAULT=	DMIDECODE DOCS
+
+DMIDECODE_DESC=	Use dmidecode to gather DMI information
+FTDI_DESC=	Enable external FT2232SPI flasher support
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
@@ -37,17 +40,17 @@ MAN8=		${PORTNAME}.8
 
 .include <bsd.port.options.mk>
 
-.if !defined(WITHOUT_DMIDECODE)
+.if ${PORT_OPTIONS:MDMIDECODE}
 RUN_DEPENDS+=	dmidecode:${PORTSDIR}/sysutils/dmidecode
 .endif
 
-.if defined(WITH_FTDI)
-USE_GNOME=	pkgconfig
-LIB_DEPENDS+=	ftdi.19:${PORTSDIR}/devel/libftdi
+.if ${PORT_OPTIONS:MFTDI}
+USE_PKGCONFIG=	build
+LIB_DEPENDS+=	ftdi:${PORTSDIR}/devel/libftdi
 .endif
 
 post-patch:
-.if defined(WITH_FTDI)
+.if ${PORT_OPTIONS:MFTDI}
 	@${REINPLACE_CMD} -e 's|-lusb")|-lusb") -lz|' ${WRKSRC}/Makefile
 .else
 	@${REINPLACE_CMD} -e 's|2_SPI ?= yes|2_SPI ?= no|' ${WRKSRC}/Makefile
@@ -59,7 +62,7 @@ do-install:
 	${MKDIR} ${MANPREFIX}/man/man8
 	${INSTALL_MAN} ${WRKSRC}/${MAN8} ${MANPREFIX}/man/man8
 .endif
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
 .for i in ${PORTDOCS}
 	${INSTALL_DATA} ${WRKSRC}/${i} ${DOCSDIR}

Modified: head/sysutils/flashrom/distinfo
==============================================================================
--- head/sysutils/flashrom/distinfo	Mon Aug 27 20:08:18 2012	(r303245)
+++ head/sysutils/flashrom/distinfo	Mon Aug 27 20:28:35 2012	(r303246)
@@ -1,2 +1,2 @@
-SHA256 (flashrom-0.9.5.2.tar.bz2) = 9a5ccd1c4bf6d7658e9373426a3683fab1d260eabf4542de3b6ebd1882ac4903
-SIZE (flashrom-0.9.5.2.tar.bz2) = 347242
+SHA256 (flashrom-0.9.6.1.tar.bz2) = 6f7b588cce74c90b4fe9c9c794de105de76e0323442fb5770b1aeab81e9d560a
+SIZE (flashrom-0.9.6.1.tar.bz2) = 368133
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"